GET

subjects API

Retrieve and manage subjects records from the Apps4Edu sync database.

Endpoint Path

GET /api/subjects

CURL Example

curl "https://api.apps4education.co.uk/api/subjects?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
subjectID int
subjectName varchar
subjectDescription varchar
abbreviation varchar
subjectTypeDescription varchar
subjectCategoryDescription varchar
startDate datetime
endDate datetime
colourCode varchar
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "subjectID": 101,
      "subjectName": "example_value",
      "subjectDescription": "example_value",
      "abbreviation": "example_value",
      "subjectTypeDescription": "example_value",
      "subjectCategoryDescription": "example_value",
      "startDate": "example_value",
      "endDate": "example_value",
      "colourCode": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.